Upstream information

CVE-2018-2755 at MITRE

Description

Vulnerability in the MySQL Server component of Oracle MySQL (subcomponent: Server: Replication). Supported versions that are affected are 5.5.59 and prior, 5.6.39 and prior and 5.7.21 and prior. Difficult to exploit vulnerability allows unauthenticated attacker with logon to the infrastructure where MySQL Server executes to compromise MySQL Server. Successful attacks require human interaction from a person other than the attacker and while the vulnerability is in MySQL Server, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of MySQL Server. CVSS 3.0 Base Score 7.7 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H).

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.7
Vector AV:L/AC:H/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.7 7.7
Vector AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H
Access Vector Local Local
Access Complexity High High
Privileges Required None None
User Interaction Required Required
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entries: 1089987 [IN_PROGRESS], 1090518 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libmariadb3 >= 3.0.3-3.3.1
  • mariadb >= 10.2.15-4.3.1
  • mariadb-client >= 10.2.15-4.3.1
  • mariadb-connector-c >= 3.0.3-3.3.1
  • mariadb-errormessages >= 10.2.15-4.3.1
  • mariadb-galera >= 10.2.15-4.3.1
  • mariadb-tools >= 10.2.15-4.3.1
  • xtrabackup >= 2.4.10-4.3.1
Patchnames:
HPE-Helion-OpenStack-8-2018-1197
SUSE Enterprise Storage 4
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-Storage-4-2018-1202
SUSE Linux Enterprise Desktop 12 SP3
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • libmysqlclient_r18 >= 10.0.35-29.20.3
  • libmysqlclient_r18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-1202
SUSE Linux Enterprise Module for Server Applications 15
  • libmysqld-devel >= 10.2.15-1.3
  • libmysqld19 >= 10.2.15-1.3
  • mariadb >= 10.2.15-1.3
  • mariadb-client >= 10.2.15-1.3
  • mariadb-errormessages >= 10.2.15-1.3
  • mariadb-tools >= 10.2.15-1.3
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA libmysqld-devel
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-1202
SUSE Linux Enterprise Server 11 SP4
  • libmysql55client18 >= 5.5.60-0.39.12.1
  • libmysql55client18-32bit >= 5.5.60-0.39.12.1
  • libmysql55client18-x86 >= 5.5.60-0.39.12.1
  • libmysql55client_r18 >= 5.5.60-0.39.12.1
  • libmysql55client_r18-32bit >= 5.5.60-0.39.12.1
  • libmysql55client_r18-x86 >= 5.5.60-0.39.12.1
  • mysql >= 5.5.60-0.39.12.1
  • mysql-client >= 5.5.60-0.39.12.1
  • mysql-tools >= 5.5.60-0.39.12.1
Patchnames:
slessp4-mysql-13611
SUSE Linux Enterprise Server 12 SP1-LTSS
  • libmysqlclient-devel >= 10.0.35-29.20.3
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • libmysqlclient_r18 >= 10.0.35-29.20.3
  • libmysqld-devel >= 10.0.35-29.20.3
  • libmysqld18 >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-1202
SUSE Linux Enterprise Server 12 SP2-LTSS
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-1202
SUSE Linux Enterprise Server 12 SP3
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-1202
SUSE Linux Enterprise Server 12-LTSS
  • libmysqlclient-devel >= 10.0.35-20.46.1
  • libmysqlclient18 >= 10.0.35-20.46.1
  • libmysqlclient18-32bit >= 10.0.35-20.46.1
  • libmysqlclient_r18 >= 10.0.35-20.46.1
  • libmysqld-devel >= 10.0.35-20.46.1
  • libmysqld18 >= 10.0.35-20.46.1
  • mariadb >= 10.0.35-20.46.1
  • mariadb-client >= 10.0.35-20.46.1
  • mariadb-errormessages >= 10.0.35-20.46.1
  • mariadb-tools >= 10.0.35-20.46.1
Patchnames:
SUSE-SLE-SERVER-12-2018-966
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libmysql55client_r18-32bit >= 5.5.60-0.39.12.1
  • libmysql55client_r18-x86 >= 5.5.60-0.39.12.1
  • mysql >= 5.5.60-0.39.12.1
Patchnames:
sdksp4-mysql-13611
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libmysqlclient-devel >= 10.0.35-29.20.3
  • libmysqlclient_r18 >= 10.0.35-29.20.3
  • libmysqld-devel >= 10.0.35-29.20.3
  • libmysqld18 >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1202
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libmysqlclient_r18 >= 10.0.35-29.20.3
  • libmysqlclient_r18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-WE-12-SP3-2018-1202
SUSE Linux Enterprise for SAP 12 SP1
  • libmysqlclient-devel >= 10.0.35-29.20.3
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • libmysqlclient_r18 >= 10.0.35-29.20.3
  • libmysqld-devel >= 10.0.35-29.20.3
  • libmysqld18 >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-1202
SUSE Linux Enterprise for SAP 12 SP2
  • libmysqlclient18 >= 10.0.35-29.20.3
  • libmysqlclient18-32bit >= 10.0.35-29.20.3
  • mariadb >= 10.0.35-29.20.3
  • mariadb-client >= 10.0.35-29.20.3
  • mariadb-errormessages >= 10.0.35-29.20.3
  • mariadb-tools >= 10.0.35-29.20.3
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-1202
SUSE OpenStack Cloud 8
  • libmariadb3 >= 3.0.3-3.3.1
  • mariadb >= 10.2.15-4.3.1
  • mariadb-client >= 10.2.15-4.3.1
  • mariadb-connector-c >= 3.0.3-3.3.1
  • mariadb-errormessages >= 10.2.15-4.3.1
  • mariadb-galera >= 10.2.15-4.3.1
  • mariadb-tools >= 10.2.15-4.3.1
  • xtrabackup >= 2.4.10-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-8-2018-1197
SUSE OpenStack Cloud Crowbar 8
  • libmariadb3 >= 3.0.3-3.3.1
  • mariadb >= 10.2.15-4.3.1
  • mariadb-client >= 10.2.15-4.3.1
  • mariadb-connector-c >= 3.0.3-3.3.1
  • mariadb-errormessages >= 10.2.15-4.3.1
  • mariadb-galera >= 10.2.15-4.3.1
  • mariadb-tools >= 10.2.15-4.3.1
  • xtrabackup >= 2.4.10-4.3.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2018-1197
openSUSE Leap 15.0
  • libmysqld-devel >= 10.2.15-lp150.2.3.2
  • libmysqld19 >= 10.2.15-lp150.2.3.2
  • libmysqld19-debuginfo >= 10.2.15-lp150.2.3.2
  • mariadb >= 10.2.15-lp150.2.3.2
  • mariadb-bench >= 10.2.15-lp150.2.3.2
  • mariadb-bench-debuginfo >= 10.2.15-lp150.2.3.2
  • mariadb-client >= 10.2.15-lp150.2.3.2
  • mariadb-client-debuginfo >= 10.2.15-lp150.2.3.2
  • mariadb-debuginfo >= 10.2.15-lp150.2.3.2
  • mariadb-debugsource >= 10.2.15-lp150.2.3.2
  • mariadb-errormessages >= 10.2.15-lp150.2.3.2
  • mariadb-galera >= 10.2.15-lp150.2.3.2
  • mariadb-test >= 10.2.15-lp150.2.3.2
  • mariadb-test-debuginfo >= 10.2.15-lp150.2.3.2
  • mariadb-tools >= 10.2.15-lp150.2.3.2
  • mariadb-tools-debuginfo >= 10.2.15-lp150.2.3.2
Patchnames:
openSUSE-2018-572
openSUSE Leap 42.3
  • libmysql56client18 >= 5.6.40-36.1
  • libmysql56client18-32bit >= 5.6.40-36.1
  • libmysql56client18-debuginfo >= 5.6.40-36.1
  • libmysql56client18-debuginfo-32bit >= 5.6.40-36.1
  • libmysql56client_r18 >= 5.6.40-36.1
  • libmysql56client_r18-32bit >= 5.6.40-36.1
  • mysql-community-server >= 5.6.40-36.1
  • mysql-community-server-bench >= 5.6.40-36.1
  • mysql-community-server-bench-debuginfo >= 5.6.40-36.1
  • mysql-community-server-client >= 5.6.40-36.1
  • mysql-community-server-client-debuginfo >= 5.6.40-36.1
  • mysql-community-server-debuginfo >= 5.6.40-36.1
  • mysql-community-server-debugsource >= 5.6.40-36.1
  • mysql-community-server-errormessages >= 5.6.40-36.1
  • mysql-community-server-test >= 5.6.40-36.1
  • mysql-community-server-test-debuginfo >= 5.6.40-36.1
  • mysql-community-server-tools >= 5.6.40-36.1
  • mysql-community-server-tools-debuginfo >= 5.6.40-36.1
Patchnames:
openSUSE-2018-405

List of packages in QA

Product(s) Package(s)
SUSE OpenStack Cloud 7
  • galera-3 >= 25.3.23-8.3
  • galera-3-wsrep-provider >= 25.3.23-8.3
  • galera-3-wsrep-provider-debuginfo >= 25.3.23-8.3
  • libmariadb3 >= 3.0.3-1.3.3
  • mariadb >= 10.2.15-7.1
  • mariadb-client >= 10.2.15-7.1
  • mariadb-client-debuginfo >= 10.2.15-7.1
  • mariadb-connector-c >= 3.0.3-1.3.3
  • mariadb-debuginfo >= 10.2.15-7.1
  • mariadb-debugsource >= 10.2.15-7.1
  • mariadb-errormessages >= 10.2.15-7.1
  • mariadb-galera >= 10.2.15-7.1
  • mariadb-tools >= 10.2.15-7.1
  • mariadb-tools-debuginfo >= 10.2.15-7.1
  • ruby2.1-rubygem-mysql2 >= 0.4.10-7.2
  • ruby2.1-rubygem-mysql2-debuginfo >= 0.4.10-7.2
  • rubygem-mysql2 >= 0.4.10-7.2
  • xtrabackup >= 2.4.10-5.3
  • xtrabackup-debuginfo >= 2.4.10-5.3
  • xtrabackup-debugsource >= 2.4.10-5.3


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise SDK 11 SP4 mysql Ignore
SUSE Linux Enterprise Server 11 SP3 LTSS mysql Ignore
SUSE Linux Enterprise Server 11 SP4 mysql Released